# TextReport class

(Shortest import: `from brian2.core.network import TextReport)`

class brian2.core.network.TextReport(stream)

  Bases: `object`

  Helper object to report simulation progress in `Network.run`.

  Parameters:

    stream : file

    > The stream to write to, commonly `sys.stdout` or `sys.stderr`.

  Methods

  `__call__`(elapsed, completed, start, duration) | Call self as a function.

  Details

  __call__(elapsed, completed, start, duration)

    Call self as a function.